# sgkit: Statistical genetics toolkit in Python
[![Build status](https://github.com/pystatgen/sgkit/workflows/Build/badge.svg?branch=main)](https://github.com/pystatgen/sgkit/actions?query=workflow%3A%22Build%22+branch%3Amain)
[![Windows build status](https://github.com/pystatgen/sgkit/workflows/Windows/badge.svg?branch=main)](https://github.com/pystatgen/sgkit/actions?query=workflow%3A%22Windows%22+branch%3Amain)
[![Documentation status](https://github.com/pystatgen/sgkit/workflows/Docs/badge.svg?branch=main)](https://pystatgen.github.io/sgkit/)
[![Validation status](https://github.com/pystatgen/sgkit/workflows/Validation/badge.svg?branch=main)](https://github.com/pystatgen/sgkit/actions?query=workflow%3A%22Validation%22+branch%3Amain)
[![Upstream status](https://github.com/pystatgen/sgkit/workflows/Upstream/badge.svg?branch=main)](https://github.com/pystatgen/sgkit/actions?query=workflow%3A%22Upstream%22+branch%3Amain)
[![asv](https://img.shields.io/badge/Benchmarked%20by-asv-green.svg?style=flat)](https://pystatgen.github.io/sgkit-benchmarks-asv/)
[![Powered by NumFOCUS](https://img.shields.io/badge/powered%20by-NumFOCUS-orange.svg?style=flat&colorA=E1523D&colorB=007D8A)](http://numfocus.org)

Sgkit is a Python package that provides a variety of analytical genetics methods through the use of
general-purpose frameworks such as [Xarray](http://xarray.pydata.org/en/stable/), [Pandas](https://pandas.pydata.org/docs/),
[Dask](https://docs.dask.org/en/latest/) and [Zarr](https://zarr.readthedocs.io/en/stable/).

For more information on using sgkit, see the [documentation](https://pystatgen.github.io/sgkit/).

[//]: # (numfocus-fiscal-sponsor-attribution)

The sgkit project uses a [custom governance model](./GOVERNANCE.md) 
and is fiscally sponsored by [NumFOCUS](https://numfocus.org/). Consider making 
a [tax-deductible donation](https://numfocus.org/donate-to-sgkit) to help the project 
pay for developer time, professional services, travel, workshops, and a variety of other needs.

<div align="center">
  <a href="https://numfocus.org/donate-to-sgkit">
    <img height="60px" 
         src="https://raw.githubusercontent.com/numfocus/templates/master/images/numfocus-logo.png" 
         align="center">
  </a>
</div>
<br>